Index: appendixa/textutils-desc.sgml
===================================================================
--- appendixa/textutils-desc.sgml	(revision 6370fa6cff0ec2a8ac8d50d1595ec9500f6631c9)
+++ appendixa/textutils-desc.sgml	(revision 6370fa6cff0ec2a8ac8d50d1595ec9500f6631c9)
@@ -0,0 +1,263 @@
+<sect2>
+<title>Contents</title>
+
+<para>
+The Textutils package contains the cat, cksum, comm, split, cut, expand,
+fmt, fold, head, join, md5sum, nl, od, paste, pr, ptx, sort, split, sum,
+tac, tail, tr, tsort, unexpand, uniq and wc programs.
+</para>
+
+</sect2>
+
+<sect2>
+<title>Description</title>
+
+<sect3>
+<title>cat</title>
+
+<para>
+cat concatenates file(s) or standard input to standard output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>cksum</title>
+
+<para>
+cksum prints CRC checksum and byte counts of each specified file.
+</para>
+
+</sect3>
+
+<sect3>
+<title>comm</title>
+
+<para>
+comm compares two sorted files line by line.
+</para>
+
+</sect3>
+
+<sect3>
+<title>csplit</title>
+
+<para>
+cplit outputs pieces of a file separated  by (a) pattern(s) to files
+xx01, xx02, ..., and outputs byte counts of each piece to standard output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>cut</title>
+
+<para>
+cut prints selected parts of lines from specified files to standard output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>expand</title>
+
+<para>
+expand converts  tabs in files to spaces, writing to standard output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>fmt</title>
+
+<para>
+fmt reformats each paragraph in the specified file(s), writing to standard 
+output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>fold</title>
+
+<para>
+fold wraps input lines in each specified file (standard input by default),
+writing to standard output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>head</title>
+
+<para>
+Print first xx (10 by default) lines of each specified file to standard 
+output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>join</title>
+
+<para>
+join joins lines of two files on a common field.
+</para>
+
+</sect3>
+
+<sect3>
+<title>md5sum</title>
+
+<para>
+md5sum prints or checks MD5 checksums.
+</para>
+
+</sect3>
+
+<sect3>
+<title>nl</title>
+
+<para>
+nl writes each specified file to standard output, with line numbers
+added.
+</para>
+
+</sect3>
+
+<sect3>
+<title>od</title>
+
+<para>
+od writes an unambiguous representation, octal bytes by default, of a
+specified file to standard output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>paste</title>
+
+<para>
+paste writes lines consisting of the sequentially corresponding
+lines from each specified file, separated by TABs, to standard output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>pr</title>
+
+<para>
+pr paginates or columnates files for printing.
+</para>
+
+</sect3>
+
+<sect3>
+<title>ptx</title>
+
+<para>
+ptx produces a permuted index of file contents.
+</para>
+
+</sect3>
+
+<sect3>
+<title>sort</title>
+
+<para>
+sort writes sorted concatenation of files to standard output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>split</title>
+
+<para>
+split outputs fixed-size pieces of an input file to PREFIXaa, PREFIXab, ...
+</para>
+
+</sect3>
+
+<sect3>
+<title>sum</title>
+
+<para>
+sum prints checksum and block counts for each specified file.
+</para>
+
+</sect3>
+
+<sect3>
+<title>tac</title>
+
+<para>
+tac writes each specified file to standard output, last line first.
+</para>
+
+</sect3>
+
+<sect3>
+<title>tail</title>
+
+<para>
+tail print the last xx (10 by default) lines of each specified file to 
+standard output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>tr</title>
+
+<para>
+tr translates, squeezes, and/or deletes characters from standard
+input, writing to standard output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>tsort</title>
+
+<para>
+tsort writes totally ordered lists consistent with the partial ordering 
+in specified files.
+</para>
+
+</sect3>
+
+<sect3>
+<title>unexpand</title>
+
+<para>
+unexpand converts spaces in each file to tabs, writing to standard
+output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>uniq</title>
+
+<para>
+uniq discards all but one of successive identical lines from files or
+standard input and writes to files or standard output.
+</para>
+
+</sect3>
+
+<sect3>
+<title>wc</title>
+
+<para>
+wc prints line, word, and byte counts for each specified file, and a
+total line if more than one file is specified.
+</para>
+
+</sect3>
+
+</sect2>
+
